Summary: Dynamic DNS Tools Client
Name: ddt
Version: 0.4
Release: 1
Group: Applications/Internet
Copyright: GPL
Packager: Carles Arjona <nospammer@bigfoot.com>
URL: http://sourceforge.net/projects/%{name}
Source: %{name}-%{version}.tar.gz
Source1: ddtcd.init
Buildroot: %{_tmppath}/%{name}-root

%description
DDT stands for Dynamic Dns Tools. The goal of the project is to provide an
open and free (in the GPL-sense) set of tools that will permit the deployment
of secure and reliable dynamic DNS services.

There are three parts to Dynamic DNS Tools:
1) the DDT client daemon, ddtcd, and the DDT client utitilty, ddtc;
2) the DDT server daemon, ddtd, and the command line admin utility, ddta;
3) the CGI scripts used for web-based account registration and
   administration.

This package contains the client part.
%prep
%setup
%build
./configure --prefix=/
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
install -m640 client/ddtcd.conf $RPM_BUILD_ROOT/%{_sysconfdir}
install -m755 $RPM_SOURCE_DIR/ddtcd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ddtcd
install -m755 client/ddtc $RPM_BUILD_ROOT/%{_sbindir}
install -m755 client/ddtcd $RPM_BUILD_ROOT/%{_sbindir}
gzip client/ddtc.8
gzip client/ddtcd.8
install -m755 client/ddtc*[.]8.gz $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ddtcd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del ddtcd
fi

%files
%defattr(-,root,root)
%config %{_sysconfdir}/ddtcd.conf
%doc AUTHORS README INSTALL COPYING THANKS ddt.lsm
%{_mandir}/man8/ddtc.8*
%{_mandir}/man8/ddtcd.8*
%{_sbindir}/ddtc
%{_sbindir}/ddtcd
/etc/rc.d/init.d/ddtcd

%changelog
* Sat Sep  1 2001 Carles Arjona <nospammer@bigfoot.com>
- Version 0.4-1 RPM
- Added init script
- Built SPEC from scratch
